package com.example.spring_online_calculator;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@SpringBootApplication
public class SpringOnlineCalculatorApplication {

	public static void main(String[] args)
	{
		SpringApplication.run(SpringOnlineCalculatorApplication.class, args);
	}

	@CrossOrigin
	@GetMapping("/String")
	public String PrintName(@RequestParam(value = "Егор", defaultValue = "Иван") String str) {
		return String.format("Привет, %s!", str);
	}
}
